Edit a resource server
PUT/v2/modules/:module/setups/:setupId/resource-servers/:resourceId
Updates the configuration of an existing resource server, including its declared scopes. The full resource server definition must be provided. Changes can be scheduled to take effect at a future date by supplying a validFrom timestamp in the request body, which creates a new snapshot.
Request
Path Parameters
module stringrequired
setupId stringrequired
resourceId stringrequired
Query Parameters
replaceActiveState boolean
- application/json
Body
- Array [
- Array [
- ]
- ]
- Array [
- ]
scopes object[]required
metadata object[]
name string
value string
locale string
name string
policy_implicit_flow string
policy_authorization_code_flow string
policy_refresh_token string
policy_force_reauthentication boolean
custom_claims string
metadata object[]
name string
value string
locale string
name string
owner string
comment string
uri uri
valid_from date-time
Responses
- 200
- 400
- 403
- 404
Resource server successfully edited
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- Array [
- ]
- ]
- Array [
- ]
scopes object[]required
metadata object[]
name string
value string
locale string
name string
policy_implicit_flow string
policy_authorization_code_flow string
policy_refresh_token string
policy_force_reauthentication boolean
custom_claims string
metadata object[]
name string
value string
locale string
name string
owner string
comment string
uri uri
valid_from date-time
{
"scopes": [
{
"metadata": [
{
"name": "string",
"value": "string",
"locale": "string"
}
],
"name": "string",
"policy_implicit_flow": "string",
"policy_authorization_code_flow": "string",
"policy_refresh_token": "string",
"policy_force_reauthentication": true,
"custom_claims": "string"
}
],
"metadata": [
{
"name": "string",
"value": "string",
"locale": "string"
}
],
"name": "string",
"owner": "string",
"comment": "string",
"uri": "string",
"valid_from": "2024-07-29T15:51:28.071Z"
}
The request body contains invalid or missing resource server properties
The caller does not have administrator privileges required to edit this resource server
No resource server exists with the specified ID in this setup
Loading...